unit copyright;

{$mode delphi}

interface

uses
  Classes, SysUtils, FileUtil,

  LCLIntf, LCLType, LMessages, Messages, Variants, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, ComCtrls,
  // Um die Versionsinformation auszulesen
  // Quelle: http://www.lazarusforum.de/viewtopic.php?f=10&t=4085
  vinfo, versiontypes;

type

  { TCopyright_Window }

  TCopyright_Window = class(TForm)
    Bt_Close: TButton;
    Button1: TButton;
    procedure FormCreate(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end;

var
  Copyright_Window: TCopyright_Window;

implementation

{$R *.lfm}

{ TCopyright_Window }

procedure TCopyright_Window.FormCreate(Sender: TObject);
begin
   {  RichEdit1.Text := RichEdit1.Text+#13+#10+#13+#10+'Softwarenutzungs-und Überlassungsvertrag';
   }

end;

end.


// #################################################

procedure Copyright_Window.Bt_CloseClick(Sender: TObject);
begin
 close;
end;



procedure TCopyright_Window.Button1Click(Sender: TObject);
// Um die Versionsinformation auszulesen
// Quelle: http://www.lazarusforum.de/viewtopic.php?f=10&t=4085

   function ProductVersionToString(PV: TFileProductVersion): String;
   begin
     Result := Format('%d.%d.%d.%d', [PV[0],PV[1],PV[2],PV[3]])
   end;

var
   Info: TVersionInfo;
begin
   Info := TVersionInfo.Create;
   Info.Load(HINSTANCE);
   ShowMessage(ProductVersionToString(Info.FixedInfo.FileVersion));
   ShowMessage(ProductVersionToString(Info.FixedInfo.ProductVersion));
   Info.Free;
end;

end.


